KDE 4.7 PyKDE API Reference

- KDE's Python API

# KHTMLSettings Class Reference

`from PyKDE4.khtml import *`

## Detailed Description

Settings for the HTML view.

## Enumerations
KAnimationAdvice | { KAnimationDisabled, KAnimationLoopOnce, KAnimationEnabled }
KDNSPrefetch | { KDNSPrefetchDisabled, KDNSPrefetchOnlyWWWAndSLD, KDNSPrefetchEnabled }
KJSWindowFocusPolicy | { KJSWindowFocusAllow, KJSWindowFocusIgnore }
KJSWindowMovePolicy | { KJSWindowMoveAllow, KJSWindowMoveIgnore }
KJSWindowOpenPolicy | { KJSWindowOpenAllow, KJSWindowOpenAsk, KJSWindowOpenDeny, KJSWindowOpenSmart }
KJSWindowResizePolicy | { KJSWindowResizeAllow, KJSWindowResizeIgnore }
KJSWindowStatusPolicy | { KJSWindowStatusAllow, KJSWindowStatusIgnore }
KJavaScriptAdvice | { KJavaScriptDunno, KJavaScriptAccept, KJavaScriptReject }
KSmoothScrollingMode | { KSmoothScrollingDisabled, KSmoothScrollingWhenEfficient, KSmoothScrollingEnabled }
## Methods
| __init__ (self)
| __init__ (self, KHTMLSettings other)
bool | accessKeysEnabled (self)
QString | adFilteredBy (self, QString url, bool isWhiteListed=0)
| addAdFilter (self, QString url)
bool | allowTabulation (self)
bool | autoLoadImages (self)
bool | autoSpellCheck (self)
QColor | baseColor (self)
bool | changeCursor (self)
QString | cursiveFontName (self)
KHTMLSettings.KDNSPrefetch | dnsPrefetch (self)
QString | encoding (self)
[(QString,QChar)] | fallbackAccessKeysAssignments (self)
QString | fantasyFontName (self)
QString | fixedFontName (self)
bool | followSystemColors (self)
bool | hoverLink (self)
| init (self)
| init (self, KConfig config, bool reset=1)
bool | isAdFilterEnabled (self)
bool | isAdFiltered (self, QString url)
bool | isAutoDelayedActionsEnabled (self)
bool | isBackRightClickEnabled (self)
bool | isFormCompletionEnabled (self)
bool | isHideAdsEnabled (self)
bool | isJavaEnabled (self, QString hostname=QString())
bool | isJavaScriptDebugEnabled (self, QString hostname=QString())
bool | isJavaScriptEnabled (self, QString hostname=QString())
bool | isJavaScriptErrorReportingEnabled (self, QString hostname=QString())
bool | isOpenMiddleClickEnabled (self)
bool | isPluginsEnabled (self, QString hostname=QString())
bool | jsErrorsEnabled (self)
bool | jsPopupBlockerPassivePopup (self)
QColor | linkColor (self)
int | maxFormCompletionItems (self)
int | mediumFontSize (self)
int | minFontSize (self)
QString | sansSerifFontName (self)
QString | serifFontName (self)
| setFixedFontName (self, QString n)
| setJSErrorsEnabled (self, bool enabled)
| setJSPopupBlockerPassivePopup (self, bool enabled)
| setStdFontName (self, QString n)
QString | settingsToCSS (self)
KHTMLSettings.KAnimationAdvice | showAnimations (self)
KHTMLSettings.KSmoothScrollingMode | smoothScrolling (self)
QString | stdFontName (self)
QColor | textColor (self)
bool | underlineLink (self)
bool | unfinishedImageFrame (self)
QString | userStyleSheet (self)
QColor | vLinkColor (self)
KHTMLSettings.KJSWindowFocusPolicy | windowFocusPolicy (self, QString hostname=QString())
KHTMLSettings.KJSWindowMovePolicy | windowMovePolicy (self, QString hostname=QString())
KHTMLSettings.KJSWindowOpenPolicy | windowOpenPolicy (self, QString hostname=QString())
KHTMLSettings.KJSWindowResizePolicy | windowResizePolicy (self, QString hostname=QString())
KHTMLSettings.KJSWindowStatusPolicy | windowStatusPolicy (self, QString hostname=QString())
## Static Methods
QString | adviceToStr (KHTMLSettings.KJavaScriptAdvice _advice)
QString | availableFamilies ()
KHTMLSettings.KJavaScriptAdvice | strToAdvice (QString _str)

## Method Documentation

__init__ | ( |  | self ) |

Internal:
  Constructor

__init__ | ( | self, |
|  | KHTMLSettings | other
| ) |  |  |

bool accessKeysEnabled | ( |  | self ) |

QString adFilteredBy | ( | self, |
|  | QString | url,
|  | bool | isWhiteListed=0
| ) |  |  |

identify the filter which matches url.

Parameters:

  | url | the URL to test.
  | isWhiteListed | if not NULL, set to true if the URL matched a whitelist filter; set to false if it matched a blacklist filter.

Returns:
  the filter string that matched, or QString() if no filter matched.

Since:
  4.4

addAdFilter | ( | self, |
|  | QString | url
| ) |  |  |

bool allowTabulation | ( |  | self ) |

bool autoLoadImages | ( |  | self ) |

bool autoSpellCheck | ( |  | self ) |

QColor baseColor | ( |  | self ) |

bool changeCursor | ( |  | self ) |

QString cursiveFontName | ( |  | self ) |

KHTMLSettings.KDNSPrefetch dnsPrefetch | ( |  | self ) |

QString encoding | ( |  | self ) |

[(QString,QChar)] fallbackAccessKeysAssignments | ( |  | self ) |

QString fantasyFontName | ( |  | self ) |

QString fixedFontName | ( |  | self ) |

bool followSystemColors | ( |  | self ) |

bool hoverLink | ( |  | self ) |

init | ( |  | self ) |

Read settings from config.

Parameters:

  | config | is a pointer to KConfig object.
  | reset | if true, settings are always set; if false, settings are only set if the config file has a corresponding key.

init | ( | self, |
|  | KConfig | config,
|  | bool | reset=1
| ) |  |  |

Read settings from config.

Parameters:

  | config | is a pointer to KConfig object.
  | reset | if true, settings are always set; if false, settings are only set if the config file has a corresponding key.

bool isAdFilterEnabled | ( |  | self ) |

bool isAdFiltered | ( | self, |
|  | QString | url
| ) |  |  |

tests whether url is filtered.

Parameters:

  | url | the URL to test.

Returns:
  true if the URL is blacklisted and is not whitelisted.

bool isAutoDelayedActionsEnabled | ( |  | self ) |

bool isBackRightClickEnabled | ( |  | self ) |

bool isFormCompletionEnabled | ( |  | self ) |

bool isHideAdsEnabled | ( |  | self ) |

bool isJavaEnabled | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

bool isJavaScriptDebugEnabled | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

bool isJavaScriptEnabled | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

bool isJavaScriptErrorReportingEnabled | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

bool isOpenMiddleClickEnabled | ( |  | self ) |

bool isPluginsEnabled | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

bool jsErrorsEnabled | ( |  | self ) |

bool jsPopupBlockerPassivePopup | ( |  | self ) |

QColor linkColor | ( |  | self ) |

int maxFormCompletionItems | ( |  | self ) |

int mediumFontSize | ( |  | self ) |

int minFontSize | ( |  | self ) |

QString sansSerifFontName | ( |  | self ) |

QString serifFontName | ( |  | self ) |

setFixedFontName | ( | self, |
|  | QString | n
| ) |  |  |

setJSErrorsEnabled | ( | self, |
|  | bool | enabled
| ) |  |  |

setJSPopupBlockerPassivePopup | ( | self, |
|  | bool | enabled
| ) |  |  |

setStdFontName | ( | self, |
|  | QString | n
| ) |  |  |

QString settingsToCSS | ( |  | self ) |

KHTMLSettings.KAnimationAdvice showAnimations | ( |  | self ) |

KHTMLSettings.KSmoothScrollingMode smoothScrolling | ( |  | self ) |

QString stdFontName | ( |  | self ) |

QColor textColor | ( |  | self ) |

bool underlineLink | ( |  | self ) |

bool unfinishedImageFrame | ( |  | self ) |

QString userStyleSheet | ( |  | self ) |

QColor vLinkColor | ( |  | self ) |

KHTMLSettings.KJSWindowFocusPolicy windowFocusPolicy | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

KHTMLSettings.KJSWindowMovePolicy windowMovePolicy | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

KHTMLSettings.KJSWindowOpenPolicy windowOpenPolicy | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

KHTMLSettings.KJSWindowResizePolicy windowResizePolicy | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

KHTMLSettings.KJSWindowStatusPolicy windowStatusPolicy | ( | self, |
|  | QString | hostname=QString()
| ) |  |  |

## Static Method Documentation

QString adviceToStr | ( | KHTMLSettings.KJavaScriptAdvice | _advice
| ) |  |  |

QString availableFamilies | ( |  | ) |

KHTMLSettings.KJavaScriptAdvice strToAdvice | ( | QString | _str
| ) |  |  |

## Enumeration Documentation

KAnimationAdvice

Enumerator:

  KAnimationDisabled = 0 |
  KAnimationLoopOnce |
  KAnimationEnabled |

KDNSPrefetch

Enumerator:

  KDNSPrefetchDisabled = 0 |
  KDNSPrefetchOnlyWWWAndSLD |
  KDNSPrefetchEnabled |

KJSWindowFocusPolicy

This enum specifies the policy for window.focus

Enumerator:

  KJSWindowFocusAllow = 0 |
  KJSWindowFocusIgnore |

KJSWindowMovePolicy

This enum specifies the policy for window.moveBy and .moveTo

Enumerator:

  KJSWindowMoveAllow = 0 |
  KJSWindowMoveIgnore |

KJSWindowOpenPolicy

This enum specifies the policy for window.open

Enumerator:

  KJSWindowOpenAllow = 0 |
  KJSWindowOpenAsk |
  KJSWindowOpenDeny |
  KJSWindowOpenSmart |

KJSWindowResizePolicy

This enum specifies the policy for window.resizeBy and .resizeTo

Enumerator:

  KJSWindowResizeAllow = 0 |
  KJSWindowResizeIgnore |

KJSWindowStatusPolicy

This enum specifies the policy for window.status and .defaultStatus

Enumerator:

  KJSWindowStatusAllow = 0 |
  KJSWindowStatusIgnore |

KJavaScriptAdvice

This enum specifies whether Java/JavaScript execution is allowed.

Enumerator:

  KJavaScriptDunno = 0 |
  KJavaScriptAccept |
  KJavaScriptReject |

KSmoothScrollingMode

Enumerator:

  KSmoothScrollingDisabled = 0 |
  KSmoothScrollingWhenEfficient |
  KSmoothScrollingEnabled |